Subject: Re: perl test fails
From: Rob Clack <[email-masked]>
To: [email-masked]
Date: Thu, 28 Aug 2003 09:06:40 +0100

Thank you Igor.  However, I've now read the entry on smbntsec and it 
doesn't seem relevant.  (Was a useful exercise in itself, since I didn't 
know about the CYGWIN env var either ;)) I don't have a problem on the 
Linux box, only on the NT one. And it doesn't matter whether I'm running 
the script from the networked drive or from the local hard drive, I only 
get the error under Cygwin.

So far it keeps looking to me as though Cygwin is broken.

Rob

Igor Pechtchanski wrote:
> On Wed, 27 Aug 2003, Rob Clack wrote:
> 
> 
>>Hmmm, don't see how it can have anything to do with the mapping of a
>>networked drive, since the problem started on the NT4 box, at which time
>>the scriptlet was located in /cygdrive/e/cygwin/rnc/try.
>>
>>Since I wanted to demonstrate that it worked on the Linux box (having
>>tripped over that one originally!)  each time I hacked one copy of the
>>script I then had to move to the other machine and duplicate the changes
>>I'd just made.  Clearly this was error-prone, so it made sense to just
>>use the copy on the Linux box.  On the NT4 it's accessible as
>>/cygdrive/i/rnc/try.
> 
> 
> Rob,
> 
> Well, it's usually a good idea to keep as many variables fixed as
> possible.  By sharing the script, you've unknowingly introduced another
> variable (that of SMB shares).  I'd suggest moving the script back to a
> local directory, and simply copying it to the shared drive when you want
> to try it on Linux.  That way you can reliably reproduce the problem on
> the local drive.
> 
> 
>>And no, I've never heard of smbntsec.  What's it mean/do?
> 
> 
> See <http://cygwin.com/cygwin-ug-net/using-cygwinenv.html>.  It's on by
> default.  FYI, it may require very careful hand-maintenance of /etc/passwd
> and /etc/group (in fact, I've ended up turning it off because the
> maintenance effort wasn't worth it for me).  You might wish to add
> "nosmbntsec" to your CYGWIN variable.
> 	Igor
> 
> 
>>Regards
>>Rob
>>
>>Larry Hall wrote:
>>
>>>At 09:36 AM 8/26/2003, Rob Clack you wrote:
>>>
>>>
>>>>Gerrit
>>>>
>>>>I've been away for a week, hence the delayed response.
>>>>
>>>>Thanks for this and clearly my scriptlet was broken.  I've now tried both alternatives as suggested below.  Both work perfectly under Linux.  Neither works under NT4.
>>>>
>>>>Linux output:
>>>>
>>>>script is executable
>>>>
>>>>NT4 output:
>>>>
>>>>I damn well am!
>>>>
>>>>To eliminate error further, I'm now running just one copy of the script, since the disk I use on my Linux box is mapped to the i: drive on the NT4 box.
>>>
>>>
>>>
>>>Are you suggesting that you're using a mapped drive from your Linux box?
>>>That may be the problem.  Do you have 'smbntsec' set in your CYGWIN
>>>environment variable?
>>>
>>>
>>>
>>>Larry Hall                              http://www.rfk.com
>>>RFK Partners, Inc.                      (508) 893-9779 - RFK Office
>>>838 Washington Street                   (508) 893-9889 - FAX
>>>Holliston, MA 01746
> 
> 

-- 
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  You're only young once, but you can stay immature as long as you like.
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  Rob Clack                        Acedb Development,  Informatics Group
  email: [email-masked]                Wellcome Trust Sanger Institute
  Tel: +44 1223 494780                   Wellcome Trust Genome Campus
  Fax: +44 1223 494919                   Hinxton  Cambridge    CB10 1SA

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/